NC = 5;         % number of clusters
m = 1.8;        % fuzziness parameter
eps = 0.01;     % termination criterion
clstep = 1;
lstep = 1;
show = 1;
Nrepeat = 1;

Ts = 1;        % [s]
	 
NA = 1;         % denominator order
NB = 1;		% numerator orders
NK = 1;		% transport delays
		% (set to 1 for y(k+1) = f(u(k),....))

Alist = [1 2];		% antecedent variable list
Clist = [1 2 3];	% consequent variable list

% read data
load testdat; z = ([ys us]); [r,y] = regres(z,NA,NB,NK);

range   = [min(z(:,1))  max(z(:,1));     % output
           min(z(:,2))  max(z(:,2))];    % input

perc = 40;
safety = perc*0.005*(range(:,2) - range(:,1));

rlimits = [range(:,1)-safety range(:,2)+safety];

d = [r y];		% data for clustering

rlim = ones(NA,1)*rlimits(1,:);
for i = 1 : length(NB),
   rlim = [rlim; ones(NB(i),1)*rlimits(i+1,:)];
end;
rlimits = rlim;

load valdat; ze = ([ys us]);
[yre,ure,ye] = regres(ze,NA,NB,NK);
