function mfdemo
% MFDEMO Demonstration to membership functions and to the graphical
% membership functions editor

%       Copyright (c) 1994 Robert Babuska.

labels = str2mat(...
        'About Membership Functions', ...
        'Open a New Editor Window', ...
        'Set Some Editor Parameters', ...
	'Get Some Editor Parameters');

% Callbacks
callbacks = str2mat(...
        'mfintro',...
        'if isempty(mfget(1)), mfset(1); else mfset; end;', ...
	['fig = input(''Enter figure number : '');' ...
	 'dom = input(''Enter domain vector (e.g. -10:0.1:10) : '',''s'');' ...	 
	 'if ~isempty(dom), mfset(fig,''domain'',dom); end;' ...
	 'mfn = input(''Enter number of membership functions : '');' ...	 
	 'if isempty(mfn), mfn = 5; end;' ...
	 'mft = input(''Enter type of membership functions (1, 2 or 3) : '');' ...	 
	 'if isempty(mft), mft = 1; end;' ...
	 'mfset(fig,''mfs'',mft*ones(mfn,1));'], ...
	['fig = input(''Enter figure number : '');' ...
	 'mf = mfget(fig,''mfs''); disp(''MF parameters :''); disp(mf);' ...
	 'disp(''Press any key to continue...''); pause; clc;' ...
	 'inp = mfget(fig,''input''); disp(''Crisp input :''); disp(inp);' ...
	 'disp(''Press any key to continue...''); pause; clc;' ...
	 'f = mfget(fig,''grades''); disp(''Membership grades :''); disp(f);']);

choices('MFDEMO', 'Membership Functions', labels, callbacks);

