function D=gencrit(a,s)
%       D=GEN(A,S) Generalized criterion operator defined as
%       GEN(A,S) = (1/m*sum(Ax^s))^(1/s), where m = length(a).
%
%       See also GENDIST.

% (c) Robert Babuska, March 1993

D = (sum(a'.^s)'/length(a(1,:))).^(1/s);

