function b = slightly(a)
%       B = SLIGHTLY(A) linguistic hedge defined as
%       intsf[norm(plus A and not(very A))]
%
%       See also VERY, MORELESS, HIGHLY, ROUGHLY, RATHER.

% (c) Robert Babuska, March 1993

b = intsf(normal(min(plush(a),not_za(very(a)))));

